org.eclipse.ecf.core.events

## Interface IContainerEvent

All Superinterfaces:
  Event

All Known Subinterfaces:
  IContainerConnectedEvent, IContainerConnectingEvent, IContainerDisconnectedEvent, IContainerDisconnectingEvent, IContainerDisposeEvent, IContainerEjectedEvent, IContainerSharedObjectMessageReceivingEvent, IContainerSharedObjectMessageSendingEvent, IServiceEvent, IServiceTypeEvent, ISharedObjectActivatedEvent, ISharedObjectDeactivatedEvent, ISharedObjectManagerConnectionEvent, ISharedObjectManagerEvent

All Known Implementing Classes:
  ContainerConnectedEvent, ContainerConnectingEvent, ContainerDisconnectedEvent, ContainerDisconnectingEvent, ContainerDisposeEvent, ContainerEjectedEvent, ContainerSharedObjectMessageReceivingEvent, ContainerSharedObjectMessageSendingEvent, ServiceContainerEvent, ServiceTypeContainerEvent, SharedObjectActivatedEvent, SharedObjectDeactivatedEvent, SharedObjectManagerAddEvent, SharedObjectManagerConnectEvent, SharedObjectManagerCreateEvent, SharedObjectManagerDisconnectEvent, SharedObjectManagerRemoveEvent

    public interface IContainerEvent
    extends Event

An event received by a container

### Method Summary

All Methods Instance Methods Abstract Methods
`ID` `getLocalContainerID()` Get ID of local discovery container (the discovery container receiving this event).

### Method Detail

#### getLocalContainerID

    ID getLocalContainerID()

Get ID of local discovery container (the discovery container receiving this event).

Returns:
  ID for local container. Will not return `null`.